<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Income Report</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:98%;
			margin:1%;
			padding:10px;
		}
		.div1 input, .div1 select{
			height:35px;
			width:200px;
			font-size:18px;
			padding:2px 10px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 10px 0 10px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			float:left;
			text-align:center;
			padding:0 10px;
			overflow:auto;
		}
		.div2 table{
			width:100%;
			text-align:center;
			font-size:16px;
			border-collapse:collapse;
			padding:2px 10px;
		}
		table th{
			background:#6b5127;
			color:white;
			height:40px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			background:white;
			height:40px;
			border:solid black 1px;
			padding:2px 5px;
		}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}.div1 input{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
	</style>
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content">
			<div class="head">
				<div class="title"><p>Income Report :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
				<form method="post">
					<div class="div1">
						<input type="date" name="fdate" value="<?php echo $date; ?>">
						<input type="date" name="ldate" value="<?php echo $date; ?>">
						<input type="submit" name="submit" value="Submit" onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Id</th>
							<th>Date</th>
							<th>Time</th>
							<th>Income Type</th>
							<th>Income By</th>
							<th>Income</th>
							<th>GST(18%)</th>
							<th>Net Income</th>
						</tr>
						<?php
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								
								$quLedger="SELECT * FROM MLM_Income WHERE Userid='$userid' AND Date>='$fdate' AND Date<='$ldate'";
								$reLedger=mysqli_query($con,$quLedger);
								$totalTxn=0;
								while($dataLedger=mysqli_fetch_array($reLedger))
								{
									$totalTxn=$totalTxn+$dataLedger['Txn'];
									echo "<tr>";
										echo "<td>".$dataLedger['Id']."</td>";
										echo "<td>".$dataLedger['Date']."</td>";
										echo "<td>".$dataLedger['Time']."</td>";
										echo "<td>".$dataLedger['TxnType']."</td>";
										echo "<td>".$dataLedger['TxnBy']."</td>";
										echo "<td>".$dataLedger['Amount']."</td>";
										echo "<td>".$dataLedger['GST']."</td>";
										echo "<td><i class='fa fa-inr'></i> ".$dataLedger['Txn']."</td>";
									echo "</tr>";
								}
							}
							else
							{
								$quLedger="SELECT * FROM MLM_Income WHERE Userid='$userid' ORDER BY Id DESC LIMIT 10";
								$reLedger=mysqli_query($con,$quLedger);
								$totalTxn=0;
								while($dataLedger=mysqli_fetch_array($reLedger))
								{
									$totalTxn=$totalTxn+$dataLedger['Txn'];
									echo "<tr>";
										echo "<td>".$dataLedger['Id']."</td>";
										echo "<td>".$dataLedger['Date']."</td>";
										echo "<td>".$dataLedger['Time']."</td>";
										echo "<td>".$dataLedger['TxnType']."</td>";
										echo "<td>".$dataLedger['TxnBy']."</td>";
										echo "<td>".$dataLedger['Amount']."</td>";
										echo "<td>".$dataLedger['GST']."</td>";
										echo "<td><i class='fa fa-inr'></i> ".$dataLedger['Txn']."</td>";
									echo "</tr>";
								}
							}
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>